-- Game methods
-- Since: v0.3.3b
local game = {}

--[[
function game.PlaySoundMessage(soundid)
	WriteProcessMemory(tonumber("0x5E202C"), soundid, 2)
end

function game.GetMaxPedDensity()
	local ped_density_ptr = ReadProcessMemory(tonumber("0x3F0000") + tonumber("0x1F5BC0"), 4)
	return ReadProcessMemory(ped_density_ptr, 2)
end

function game.GetShowPedAndCarID()
	return ReadProcessMemory(tonumber("0x5EADA1"), 1)
end

function game.GetShowBlood()
	return ReadProcessMemory(tonumber("0x5EAD51"), 1)
end

function game.GetShowObjID()
	return ReadProcessMemory(tonumber("0x5EAD52"), 1)
end

function game.SetMaxPedDensity(density)
	local ped_density_ptr = ReadProcessMemory(tonumber("0x3F0000") + tonumber("0x1F5BC0"), 4)
	WriteProcessMemory(ped_density_ptr, density, 2)
end

function game.SetShowPedAndCarID(state)
	WriteProcessMemory(tonumber("0x5EADA1"), state, 1)
end

function game.SetShowBlood(state)
	WriteProcessMemory(tonumber("0x5EAD51"), state, 1)
end

function game.SetShowObjID(state)
	WriteProcessMemory(tonumber("0x5EAD52"), state, 1)
end

function game.SetPoliceSkip(state)
	WriteProcessMemory(tonumber("0x5EAD5E"), state, 1)
end

function game.SetMedicSkip(state)
	WriteProcessMemory(tonumber("0x5EAD6B"), state, 1)
end

function game.SetFiremanSkip(state)
	WriteProcessMemory(tonumber("0x5EAD8B"), state, 1)
end

function game.GetRiotMode()
	local riot_offset = GetGameOffset() + tonumber("0x1F5BC0")
	local riot_mode = ReadProcessMemory(riot_offset, 4)
	return ReadProcessMemory(riot_mode + 0x7, 1)
end

function game.SetRiotMode(state)
	local riot_offset = GetGameOffset() + tonumber("0x1F5BC0")
	local riot_mode = ReadProcessMemory(riot_offset, 4)
	WriteProcessMemory(riot_mode + 0x7, state, 1)
end
]]--

function game.IsArea(x, y, z, minx, miny, minz, maxx, maxy, maxz)
	if (x >= minx and x <= maxx and y >= miny and y <= maxy and z >= minz and z <= maxz) then
		return true
	end
	return false
end

function game.GetDistanceOfPoint(x1, y1, z1, x2, y2, z2)
	return math.sqrt((x1 - x2)*(x1 - x2) + (y1 - y2)*(y1 - y2) + (z1 - z2)*(z1 - z2))
end

return game